Bug 369121 - Finch doesn't work on x86_64 ???
Finch doesn't work on x86_64 ???
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 17:28 EST by Sol Jerome
Modified: 2008-04-11 18:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: finch-2.4.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 18:22:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sol Jerome 2007-11-06 17:28:02 EST
Description of problem:

open finch and nothing works

Version-Release number of selected component (if applicable):

2.2.2-r1

How reproducible:

every time

Steps to Reproduce:
1. open finch
2. try to do anything except Ctrl-C
3.
  
Actual results:

nothing works

Expected results:

finch should work normally

Additional info:
Comment 1 Sadrul Habib Chowdhury 2007-11-27 01:16:07 EST
Did you try turning it on?
Comment 2 Sol Jerome 2007-11-27 01:23:23 EST
Yes, I believe this is not a bug with finch but with the rpm produced for
2.2.2-r1. I think it probably just needs to be rebuilt.
Comment 3 Sol Jerome 2007-11-27 01:37:03 EST
Just an additional note:

RPMS for 2.2.1 and earlier all work fine.

Finch compiles (and works) from source without any problems. It is just the rpm
finch-2.2.1-1.fc7 appears to be broken. (This tested on multiple 64 bit machines)
Comment 4 Warren Togami 2007-11-27 02:17:32 EST
http://koji.fedoraproject.org/packages/pidgin/2.3.0/
Please try the latest builds from here.
Comment 5 Sol Jerome 2007-11-27 15:11:37 EST
These are giving me similar issues. I will mess with the spec file and see if I 
can't get it to work.
Comment 6 Sol Jerome 2008-01-09 13:33:31 EST
When I configure pidgin manually (without rpmbuild) and build it with the same
options in the latest spec file, everything works. Therefore, there must be an
issue either with rpmbuild or possibly with file listings.

Building pidgin from source using the configure command found in this SRPM fixed
the finch problem:

http://koji.fedoraproject.org/packages/pidgin/2.3.1/1.fc7/src/pidgin-2.3.1-1.fc7.src.rpm
Comment 7 Michael Olson 2008-02-12 22:07:40 EST
Identical problem on an FC8 x86_64 DomU, no TERM setting seems to help. Finch
draws the interface and then freezes. Control-C produces a quit dialog box but
you can't even hit enter to exit. Have to Control-Z and kill it.
Comment 8 Sol Jerome 2008-02-12 22:18:14 EST
The latest Fedora7 RPM for 32 bit machines (finch-2.3.1.fc7) appears to be
working again. However, the 64 bit version still has the same problem.
Comment 9 Fedora Update System 2008-02-29 11:29:56 EST
pidgin-2.4.0-1.fc7 has been submitted as an update for Fedora 7
Comment 10 Sol Jerome 2008-02-29 11:44:53 EST
If this is the same rpm from here:
http://koji.fedoraproject.org/packages/pidgin/2.4.0/1.fc7/x86_64/

it has even worse problems.

It exits immediately with the following message:

finch: symbol lookup error: finch: undefined symbol:
purple_blist_node_get_first_child
Comment 11 Stu Tomlinson 2008-02-29 11:50:27 EST
You need the libpurple from there too
Comment 12 Sol Jerome 2008-02-29 11:54:58 EST
Okay, I was able to track down the problem.

If you have no .purple file and you start finch, it looks for .gaim.

Something in .gaim causes problems when starting finch.

Thanks
Comment 13 Fedora Update System 2008-03-01 04:27:27 EST
pidgin-2.4.0-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2154
Comment 14 Sol Jerome 2008-04-11 18:22:20 EDT
That fixed the problems. This looks to be resolved.

Note You need to log in before you can comment on or make changes to this bug.